<h1>Form Group</h1>

<form [formGroup]="monForm" (ngSubmit)="onSubmit()">
  <mat-icon>people</mat-icon>
  <mat-form-field>
    <mat-label>Saisir un prénom:</mat-label>
    <input matInput formControlName="prenom" type="text" name="" id="" />
  </mat-form-field>

  <p>Prénom: {{ monForm.controls["prenom"].value }}</p>
  <p>Prénom: {{ fnControls.prenom.value }}</p>

  <div>
    <mat-icon>emoji_people</mat-icon> &nbsp;
    <mat-form-field>
      <mat-label>Saisir votre nom :</mat-label>
      <input matInput type="text" formControlName="nom" />
    </mat-form-field>
    <p></p>
  </div>

  <div>
    <mat-icon>email</mat-icon> &nbsp;
    <mat-form-field>
      <mat-label>Saisir votre email :</mat-label>
      <input matInput type="text" formControlName="email" />
    </mat-form-field>
  </div>

  <div formGroupName="adresse">
    <div>
      <mat-icon>location_city</mat-icon> &nbsp;
      <mat-form-field>
        <mat-label>Saisir votre rue :</mat-label>
        <input matInput type="text" formControlName="rue" />
      </mat-form-field>
    </div>
    <div>
      <mat-icon>location_city</mat-icon> &nbsp;
      <mat-form-field>
        <mat-label>Saisir votre ville :</mat-label>
        <input matInput type="text" formControlName="ville" />
      </mat-form-field>
    </div>
    <div>
      <mat-icon>location_city</mat-icon> &nbsp;
      <mat-form-field>
        <mat-label>Saisir votre code postal :</mat-label>
        <input matInput type="text" formControlName="codePostal" />
      </mat-form-field>
    </div>
  </div>

  <div>
    <button mat-raised-button color="primary" type="submit">
      <mat-icon>login</mat-icon>&nbsp; submit ...
    </button>
    <!-- <button class="btn btn-primary" type="submit" [disabled]="!monForm.valid">Valider</button> -->
  </div>
</form>
